مدرس دوره : حسام موسوی

کارمو با طراحی گرافیکی شروع کردم و حدود 2 سال طراحی گرافیکی میکردم بعد به طراحی وب علاقه پیدا کردم و همراه طراحی وب عاشق کدنویسی شدم به PHP | sass | css | Jquery | javaScript تسلط کامل دارم . در بین فریم ورک های PHP اول با CodeIgniter کار کردم اما به laravel علاقه مند شدم و دارم بطور حرفه ای دنبالش میکنم . امید من اینکه بتونم کاربرهای ایرانی رو به دنیای بیرون متصل کنم تا بتونن از فناوری های تازه آگاهی داشته باشن

توضیحات :

در قسمت اول دوره آشنایی با لاراول من روش نصب composer بصورت دستی رو آموزش میدم و همینطور بهتون میگم که چطور با استفاده از laravel installer لاراول خودتان را به سادگی نصب و راه اندازی کنید . 

دانلود فایل git bash مربوط به composer

دیدگاه های مخاطبین

ثبت دیدگاه شما
  • ایمان برومندزاده

    سلام من مراحل نصب رو رفتم - php artisan serve که میزنم ادرس لوکال هاست:8000 رو میده اما وقتی این رو میزنم چیزی لود نمیشه.
    چرا؟

    • حسام موسوی

      دلایل مختلفی ممکنه باشه . و بصورت دقیق دلیلی نمیشه گفت

  • محسن محمدخانی

    سلام
    من وقتی که دستور
    php -r "readfile('https://getcomposer.org/installer');" | php
    در cmd وارد می کنم
    این ارور به من میده
    Warning: readfile(): SSL operation failed with code 1. OpenSSL Error messages:
    error:14090086:SSL routines:ssl3_get_server_certificate:certificate verify faile
    d in Command line code on line 1

    Warning: readfile(): Failed to enable crypto in Command line code on line 1

    Warning: readfile(https://getcomposer.org/installer): failed to open stream: ope
    ration failed in Command line code on line 1
    من از 3.0.6 wampServer استفاده می کنم که نسخه 7 php داره و در فایل php.ini سیمیکالونه extension=php_openssl.dll
    برداشتم اما نمی دونم چرا ارور می ده.

    • محسن محمدخانی

      سلام ممنون
      با استفاده از vpn مشکلم حل شد

    • حسام موسوی

      بعد از فعال کردن extension=php_openssl.dll یکبار wapserver خودتون رو refresh کنید اگر دوباره با این ارور برخوردید از یک وی پی ان برای دانلود استفاده کنید چون گاهی اوقات چنین مشکلاتی پیش میاد

  • بابک نوع دوست

    سلام
    خیلی ممنون
    واقعا من استفاده کردم
    واقعا مطالب آموزنده خوبی توش بود
    دمت گرم واقعا
    فقط ببین سایتت راحت کرک میشه خواستی بهم ایمیل بزن بهت بگم چطور
    alive2212@gmail.com

  • زهرا

    سلام ممنون بابت آموزش خوبتون، من php artisan serve رو که میزنم این error رو میده:

    C:\blog>php artisan serve

    Warning: require(C:\blog\bootstrap/../vendor/autoload.php): failed to open strea
    m: No such file or directory in C:\blog\bootstrap\autoload.php on line 17

    Fatal error: require(): Failed opening required 'C:\blog\bootstrap/../vendor/aut
    oload.php' (include_path='.;C:\xampp\php\PEAR') in C:\blog\bootstrap\autoload.ph
    p on line 17

    C:\blog>
    چکار باید بکنم؟

    • admin

      پروژتون رو حذف و با این دستور نصب کنید
      composer create-project --prefer-dist laravel/laravel blog

    • زهرا

      سلام، دوباره نصب رو انجام دادم ولی موقعی که کد laravel new blog رو میزنم این error رو میده:
      [Symfony\Component\Process\Exception\RuntimeException]
      TTY mode is not supported on Windows platform.
      البته نسخه ی لاراول من 1.3.2 هستش و همین طور من کامپوزر رو با روش دستی نصب نکردم و با setup نصب کردم چون مثل اینکه لاراول با زمانی که شما این فیلم رو ضبط کردید تغییر کرده اون کد نصب دستی رو نتونستم پیدا کنم

    • admin

      بدرستی کل پروژه نصب نشد یکبار حذف و دوباره از ابتدا نصب کنید

  • abolfazlab

    سلام
    هنگام نصب compser چون که ip که از ان استفاده می کنیم اجاز دانلود را نمی دهد ایا روش دیگری برای نصب وجود دارد

    • admin

      سلام
      composer به همون روش های که گفته شد حتما باید نصب بشه

  • حسن

    git bash من کار نمیکنه فایلی که گفتید git bash را شناسایی میکنه رو بذارید لطفا.

    • admin

      در توضیحات این قسمت قرار داده شده

  • vahid mehr

    یک فایل که گفتید که git bash شناسایی کنه ، که در وسط فیلم قرار دادید برای دانلود نگذاشتید

    • admin

      بله درسته در لینک زیر که گذاشتم میتونید دانلود کنید
      http://upload7.ir/bxb

  • فرهاد

    سلام برای من این ارور رو میده.

    C:\Users\Farhad>composer create-project laravel/laravel --prefer-dist
    Your version of PHP, 5.4.7, is affected by CVE-2013-6420 and cannot safely perform certificate validation, we strongly suggest you upgrade.


    [Composer\Downloader\TransportException]
    The "https://packagist.org/packages.json" file could not be downloaded: failed to open stream: A connection attempt
    failed because the connected party did not properly respond after a period of time, or established connection fail
    ed because connected host has failed to respond.


    create-project [-s|--stability STABILITY] [--prefer-source] [--prefer-dist] [--repository-url REPOSITORY-URL] [--dev] [--no-dev] [--no-plugins] [--no-custom-installers] [--no-scripts] [--no-progress] [--keep-vcs] [--no-install] [--ignore-platform-reqs] [--] [] [] []

    لطفا راهنمایی کنید.

    • admin

      نسخه php خودتون رو ارتقاع بدید .

  • pg

    ممنون خیلی خوبه

  • behnam

    سلام و خسته نباشید ..
    می خواستم ازتون بخوام ثبت نام با تائید ایمیل رو هم اگه مقدور بود تو این دوره قرار بدید ..
    ممنون ..

    • admin

      در این دوره به مقدمات لاراول میپردازم در آخر . اما سعی میکنم این موضوع رو هم قرار بدم

  • محمد رضا

    سلام


    این دوره با دوره "فیلم آموزش آشنایی با لاراول 5" چه فرقی میکنه ؟؟؟

    • admin

      این دوره یک باز تولید از اون دوره و مقدماته لاراوله در قسمت اول یعنی نصب کردن لاراول نصب composer بصورت دستی گفته میشه یا روش متفاوت نصب لاراول گفته میشه . سعی شده بروز ترین اطلاعات و موارد لازم برای کار با لاراول در این دوره اضافه بشه بعد از کامل شدن این دوره
      دوره اولی که گذاشته شد
      یعنی "فیلم آموزش آشنایی با لاراول 5" از سایت حذف میشه

بخشی از چیزهای که خواهید آموخت :

  • آشنایی کامل با لاراول 5
  • کار با دیتابیس و اعمال CURD
  • اعتبارسنجی اطلاعات
  • احراز هویت در لاراول
  • روابط بین جداول
  • و ...